DROP TABLE IF EXISTS Answers;
CREATE TABLE Answers (
  ans_id int(11) NOT NULL auto_increment,
  ans_usr_id int(11) NOT NULL default '0',
  ans_que_id int(11) NOT NULL default '0',
  ans_var_id int(11) default NULL,
  ans_other varchar(255) default NULL,
  PRIMARY KEY  (ans_id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS ColorSchemes;
CREATE TABLE ColorSchemes (
  csc_id int(11) NOT NULL auto_increment,
  csc_title varchar(255) default NULL,
  csc_width int(11) default NULL,
  title_background varchar(255) default NULL,
  title_color varchar(255) default NULL,
  title_font varchar(255) default NULL,
  title_size tinyint(4) default NULL,
  question_background varchar(255) default NULL,
  question_color varchar(255) default NULL,
  question_font varchar(255) default NULL,
  question_size tinyint(4) default NULL,
  answer_background varchar(255) default NULL,
  answer_color varchar(255) default NULL,
  answer_font varchar(255) default NULL,
  answer_size tinyint(4) default NULL,
  PRIMARY KEY  (csc_id)
) TYPE=MyISAM;

INSERT INTO ColorSchemes VALUES (3, 'Green Zombie', 600, '228b22', '000000', 'Arial', 14, '90ee90', 'a9a9a9', 'Times New Roman', 10, 'a9a9a9', '76ee00', 'Verdana', 10);


DROP TABLE IF EXISTS Config;
CREATE TABLE Config (
  cfg_id int(11) NOT NULL auto_increment,
  cfg_name varchar(64) NOT NULL default '',
  cfg_value text NOT NULL,
  PRIMARY KEY  (cfg_id)
) TYPE=MyISAM;

INSERT INTO Config VALUES (1, 'root_login', 'admin');
INSERT INTO Config VALUES (2, 'root_password', '21232f297a57a5a743894a0e4a801fc3');


DROP TABLE IF EXISTS Questions;
CREATE TABLE Questions (
  que_id int(11) NOT NULL auto_increment,
  que_sur_id int(11) NOT NULL default '0',
  que_text text,
  que_answer_type tinyint(4) default NULL,
  que_required tinyint(1) default NULL,
  PRIMARY KEY  (que_id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS Surveys;
CREATE TABLE Surveys (
  sur_id int(11) NOT NULL auto_increment,
  sur_title varchar(255) default NULL,
  sur_title_should_display tinyint(1) default '1',
  sur_submit_text varchar(50) default NULL,
  sur_email_request tinyint(1) default '0',
  sur_email_request_message text,
  sur_view_summary tinyint(1) default '1',
  sur_date_expire datetime default NULL,
  sur_complete_goto_url tinyint(4) NOT NULL default '0',
  sur_complete_url varchar(255) default NULL,
  sur_complete_message text,
  sur_allow_multiple_votes tinyint(1) default '0',
  sur_notification_email varchar(255) default NULL,
  sur_status tinyint(4) default NULL,
  sur_dare_created datetime default NULL,
  sur_color_scheme tinyint(4) default NULL,
  PRIMARY KEY  (sur_id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS Users;
CREATE TABLE Users (
  usr_id int(11) NOT NULL auto_increment,
  usr_sur_id int(11) NOT NULL default '0',
  usr_email varchar(255) default NULL,
  usr_name varchar(255) default NULL,
  usr_date datetime NOT NULL default '0000-00-00 00:00:00',
  usr_IP varchar(50) default NULL,
  PRIMARY KEY  (usr_id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS Variants;
CREATE TABLE Variants (
  var_id int(11) NOT NULL auto_increment,
  var_que_id int(11) NOT NULL default '0',
  var_text varchar(255) default NULL,
  PRIMARY KEY  (var_id)
) TYPE=MyISAM;

