<?php
	// Resize with (height % width)
	function RatioResizeImg( $image, $newWidth, $newHeight,$fileName='')
	{	$path_parts = pathinfo($image);
		switch(strtolower($path_parts["extension"])){
		case "gif": $srcImage = ImageCreateFromGIF( $image ); break; 
		case "jpg": $srcImage = ImageCreateFromJPEG( $image ); break; 
		case "png": $srcImage = ImageCreateFromPNG( $image ); break; 
		default: $srcImage = ImageCreateFromGIF( $image ); break;} 

		// determining initial width & height
		$srcWidth = ImageSX( $srcImage ); 
		$srcHeight = ImageSY( $srcImage ); 

		$ratioWidth = $srcWidth/$newWidth; 
		$ratioHeight = $srcHeight/$newHeight; 

		if( $ratioWidth < $ratioHeight)
		{	$destWidth = $srcWidth/$ratioHeight; 
			$destHeight = $newHeight; 
		}
		else
		{	$destWidth = $newWidth; 
			$destHeight = $srcHeight/$ratioWidth; 
		}

		// creating new picture with final width & height
		if(function_exists("imagecreatetruecolor"))
			$destImage = imagecreatetruecolor( $destWidth, $destHeight); 
		else
			$destImage = imagecreate( $destWidth, $destHeight); 

		// coping srcImage (initial) to destImage (final)
		if(function_exists("imagecopyresampled"))
			imagecopyresampled( $destImage, $srcImage, 0, 0, 0, 0, $destWidth, $destHeight, $srcWidth, $srcHeight ); 
		else
			imagecopyresized( $destImage, $srcImage, 0, 0, 0, 0, $destWidth, $destHeight, $srcWidth, $srcHeight ); 

		// creating jpeg
		imagejpeg($destImage,$fileName);

		// release memory
		imagedestroy( $srcImage ); 
		imagedestroy( $destImage ); 
	} 

?>